Bug 460653 - tiffcp ends with segmentation fault
tiffcp ends with segmentation fault
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libtiff (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Tom Lane
Martin Cermak
:
Depends On:
Blocks: 609901
  Show dependency treegraph
 
Reported: 2008-08-29 10:21 EDT by Milos Malik
Modified: 2013-07-02 23:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: libtiff-3.6.1-12.el4_8.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 609901 (view as bug list)
Environment:
Last Closed: 2012-06-20 09:29:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-08-29 10:21:51 EDT
Description of problem:
The tiffcp utility segfaults when processing one of the official libtiff test images -- zackthecat.tif .

Version-Release number of selected component (if applicable):
libtiff-3.6.1-12.el4_7.2

How reproducible:
Always

Steps to Reproduce:
1. Go to http://www.remotesensing.org/libtiff/images.html .
2. Download the latest archive of test images (
ftp://ftp.remotesensing.org/pub/libtiff/pics-3.8.0.tar.gz ).
3. Unpack the file zackthecat.tif .
# tiffcp zackthecat.tif temp.tif
TIFFReadDirectory: Warning, zackthecat.tif: unknown field with tag 512 (0x200) encountered.
TIFFReadDirectory: Warning, zackthecat.tif: unknown field with tag 519 (0x207) encountered.
TIFFReadDirectory: Warning, zackthecat.tif: unknown field with tag 520 (0x208) encountered.
TIFFReadDirectory: Warning, zackthecat.tif: unknown field with tag 521 (0x209) encountered.
zackthecat.tif: Warning, using top-left orientation.
zackthecat.tif: Old-style JPEG compression support is not configured.
Segmentation fault
# echo $?
139
# ls -l zackthecat.tif temp.tif 
-rw-r--r--  1 root 1076    8 Aug 29 10:14 temp.tif
-rw-r--r--  1 root 1076 8258 Aug 29 10:13 zackthecat.tif
# 
  
Actual results:
segmentation fault

Expected results:
no segmentation fault

Additional info:
Comment 1 Milos Malik 2008-08-29 10:26:08 EDT
libtiff-3.5.7-31.el3 on RHEL-3.9 is also affected.

# tiffcp zackthecat.tif temp.tif
zackthecat.tif: Warning, unknown field with tag 512 (0x200) ignored.
zackthecat.tif: Warning, unknown field with tag 519 (0x207) ignored.
zackthecat.tif: Warning, unknown field with tag 520 (0x208) ignored.
zackthecat.tif: Warning, unknown field with tag 521 (0x209) ignored.
zackthecat.tif: Old-style JPEG compression support is not configured.
Segmentation fault
# echo $?
139
# ls -l zackthecat.tif temp.tif 
-rw-r--r--    1 root     devqa8          8 Aug 29 10:22 temp.tif
-rw-r--r--    1 root     devqa8       8258 Aug 29 10:22 zackthecat.tif
#
Comment 2 Martin Cermak 2010-05-31 09:47:17 EDT
*** Bug 588784 has been marked as a duplicate of this bug. ***
Comment 3 Martin Cermak 2010-05-31 09:48:23 EDT
Tom, ping, any progress on this?
Comment 4 Tom Lane 2010-05-31 10:52:48 EDT
I think this is most likely a duplicate of upstream bug
http://bugzilla.maptools.org/show_bug.cgi?id=2097
Doesn't appear they've made any progress on it.
Comment 5 Martin Cermak 2010-05-31 11:06:29 EDT
Tom, please consider writing your own patch. You have clear reproducer. This must be easy to locate and fix, don't you think? It's just a question of parsing a binary file. Or is there some serious problem?
Comment 6 Fedora Update System 2010-06-23 00:14:38 EDT
libtiff-3.9.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libtiff-3.9.4-1.fc12
Comment 7 Fedora Update System 2010-06-23 00:14:56 EDT
libtiff-3.8.2-15.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libtiff-3.8.2-15.fc11
Comment 8 Fedora Update System 2010-06-23 00:15:10 EDT
libtiff-3.9.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libtiff-3.9.4-1.fc13
Comment 9 Martin Cermak 2010-06-23 02:20:11 EDT
Yes, I can confirm libtiff-3.9.4-1.fc13 seems to be fixed.
Comment 10 Fedora Update System 2010-06-24 12:29:59 EDT
libtiff-3.8.2-15.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Martin Cermak 2010-06-28 10:40:55 EDT
Ok, seems to be fixed:

# tiffcp zackthecat.tif temp.tif
TIFFReadDirectory: Warning, zackthecat.tif: unknown field with tag 512 (0x200) encountered.
TIFFReadDirectory: Warning, zackthecat.tif: unknown field with tag 519 (0x207) encountered.
TIFFReadDirectory: Warning, zackthecat.tif: unknown field with tag 520 (0x208) encountered.
TIFFReadDirectory: Warning, zackthecat.tif: unknown field with tag 521 (0x209) encountered.
tiffcp: zackthecat.tif: Can't copy/convert subsampled image.
.live.[root@i386-4as-7-m1 ~]# rpm -q libtiff
libtiff-3.6.1-12.el4_8.5.i386
Comment 12 Martin Cermak 2010-06-28 10:41:19 EDT
=> VERIFIED
Comment 13 Fedora Update System 2010-07-01 14:43:12 EDT
libtiff-3.9.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-07-05 18:00:49 EDT
libtiff-3.9.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Jiri Pallich 2012-06-20 09:29:40 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.